List Contract Invoices
curl --request GET \
--url https://api.meetcampfire.com/rev/api/v1/invoicesimport requests
url = "https://api.meetcampfire.com/rev/api/v1/invoices"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.meetcampfire.com/rev/api/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"contract": 123,
"contract_name": "<string>",
"contract_number": "<string>",
"invoice": 123,
"journal_entry": 123,
"journal_entry_number": "<string>",
"issue_date": "2023-12-25",
"lines": [
{
"id": 123,
"invoice": 123,
"product_name": "",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"contract_line": 123,
"product": 123,
"description": "<string>",
"service_start": "2023-12-25",
"service_end": "2023-12-25",
"currency": "<string>",
"quantity": 0,
"rate": 0,
"amount": 0
}
],
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"ordinal": 1073741823,
"invoice_number": "<string>",
"due_date": "2023-12-25",
"payment_term": 123,
"bill_to_snapshot": "<unknown>",
"currency": "<string>",
"total_amount": 0
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Revenue
List Contract Invoices
Contract invoices are created exclusively by the contract billing
schedule (create_schedules_for_contract); there is deliberately no
create endpoint for attaching arbitrary invoices to a contract.
GET
/
rev
/
api
/
v1
/
invoices
List Contract Invoices
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
⌘I